Skip to content

Instantly share code, notes, and snippets.

Tyler tyler-public

Block or report user

Report or block tyler-public

Hide content and notifications from this user.

Learn more about blocking users

Contact Support about this user’s behavior.

Learn more about reporting abuse

Report abuse
View GitHub Profile
View manifest.json
{
"minecraft": {
"version": "1.12.2",
"modLoaders": [
{
"id": "forge-14.23.5.2838",
"primary": true
}
]
},
@tyler-public
tyler-public / updater.sh
Created Jul 3, 2019
updater.sh - POSIX
View updater.sh
#!/usr/bin/env sh
## ghacks-user.js updater for macOS and Linux
## version: 2.5.1
## Author: Pat Johnson (@overdodactyl)
## Additional contributors: @earthlng, @ema-pe, @claustromaniac, @iamtpage
## DON'T GO HIGHER THAN VERSION x.9 !! ( because of ASCII comparison in update_updater() )
@tyler-public
tyler-public / updater.sh
Last active Jul 2, 2019
updater.sh post shellcheck
View updater.sh
#!/usr/bin/env bash
## ghacks-user.js updater for macOS and Linux
## version: 2.5.1
## Author: Pat Johnson (@overdodactyl)
## Additional contributors: @earthlng, @ema-pe, @claustromaniac, @iamtpage
## DON'T GO HIGHER THAN VERSION x.9 !! ( because of ASCII comparison in update_updater() )
View latest
[04:51:52] [main/INFO] [LaunchWrapper]: Loading tweak class name net.minecraftforge.fml.common.launcher.FMLServerTweaker
[04:51:52] [main/INFO] [LaunchWrapper]: Using primary tweak class name net.minecraftforge.fml.common.launcher.FMLServerTweaker
[04:51:52] [main/INFO] [LaunchWrapper]: Calling tweak class net.minecraftforge.fml.common.launcher.FMLServerTweaker
[04:51:53] [main/INFO] [FML]: Forge Mod Loader version 14.23.4.2705 for Minecraft 1.12.2 loading
[04:51:53] [main/INFO] [FML]: Java is OpenJDK 64-Bit Server VM, version 1.8.0_151, running on Linux:amd64:4.15.13-1.el7.elrepo.x86_64, installed at /usr/lib/jvm/java-1.8-openjdk/jre
[04:51:53] [main/INFO] [FML]: Searching /home/container/./mods for mods
[04:51:53] [main/WARN] [FML]: The coremod org.minimallycorrect.libloader.LibLoader does not have a MCVersion annotation, it may cause issues with this version of Minecraft
[04:51:53] [main/WARN] [FML]: The coremod LibLoader (org.minimallycorrect.libloader.LibLoader) is not signed!
[04:51:53] [main/WARN] [FML
View crash report
---- Minecraft Crash Report ----
WARNING: coremods are present:
CTMCorePlugin (CTM-MC1.12-0.2.3.12.jar)
AstralCore (astralsorcery-1.12.2-1.8.10.jar)
LibLoader (# LibLoader.jar)
OpenModsCorePlugin (OpenModsLib-1.12.2-0.11.5.jar)
LoadingPlugin (Quark-r1.4-123.jar)
EnderCorePlugin (EnderCore-1.12.2-0.5.30.jar)
CoreMod (Aroma1997Core-1.12.2-1.3.0.2.jar)
@tyler-public
tyler-public / jail.local
Created Oct 21, 2014
Vesta CP configuration for Fail2ban (Pulled from Vesta CP repo and adapted)
View jail.local
#Put this in /etc/fail2ban/jail.local
[vestacp]
enabled = true
port = 8083
filter = vesta
logpath = /var/log/vesta/auth.log
maxretry = 3
You can’t perform that action at this time.